List Sanctions by Source
curl --request GET \
--url https://api.base39.com.br/v2/entities/{id}/sanctions/{sanction} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/entities/{id}/sanctions/{sanction}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/entities/{id}/sanctions/{sanction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"results": [
{
"sourceDataset": "<string>",
"source": "<string>",
"datasetLabel": "<string>",
"sanctionType": "<string>",
"standardizedType": "<string>",
"status": "<string>",
"isActive": true,
"wasRecentlyPresentOnSource": true,
"isInternational": true,
"startDate": "<string>",
"endDate": "<string>",
"creationDate": "<string>",
"lastUpdateDate": "<string>",
"matchRate": 123,
"nameUniquenessScore": 123,
"normalizedDetails": {}
}
],
"has_more": true,
"metadata": {
"status": "NOT_QUERIED",
"provenance": {
"datasets": [
{
"datasetSlug": "<string>",
"requirement": "required",
"visible": true,
"onRefresh": true,
"sourcePriority": 123,
"status": "NOT_QUERIED",
"queryId": "<string>",
"observedAt": "<string>",
"recordedAt": "<string>",
"errorCode": "upstream_error"
}
]
},
"summary": "<string>"
},
"kycSummary": {
"isCurrentlySanctioned": true,
"wasPreviouslySanctioned": true,
"last365DaysSanctions": 123,
"minMatch": 123
},
"next_cursor": "<string>",
"type": "<string>"
}Compliance
List Sanctions by Source
GET
/
v2
/
entities
/
{id}
/
sanctions
/
{sanction}
List Sanctions by Source
Authorizations
OAuth2 Authorization Code flow
Path Parameters
CPF, CNPJ, or company id (cmp_*)
Available options:
ceis, cnep, cepim, leniency, tcu, cnj, ofac, un, eu, uk, bid Query Parameters
Comma-separated optional response fields. Supports "summary.short", "summary.long", and "summary.mdx". Without summary.* the metadata.summary field is omitted.
Response
200 - application/json
Object type identifier
Array of results for current page
Show child attributes
Show child attributes
Whether more results exist beyond this page
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opaque cursor for next page. null if no more results.
Type of results (Notion-compatible)
⌘I